curl --request POST \
--url https://api.alpha-1edtech.ai/powerpath/test-assignments/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"student": "<string>",
"subject": "Reading",
"grade": "-1",
"testName": "<string>"
}
]
}
'{
"success": true,
"results": [
{
"assignmentId": "<string>",
"lessonId": "<string>",
"resourceId": "<string>"
}
],
"errors": [
{
"row": 123,
"message": "<string>"
}
]
}Creates multiple standalone test-out assignments for students. Validates all items and reports all errors before processing. Returns 200 if all succeed, 400 if any validation errors are found. All-or-nothing operation.
curl --request POST \
--url https://api.alpha-1edtech.ai/powerpath/test-assignments/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"student": "<string>",
"subject": "Reading",
"grade": "-1",
"testName": "<string>"
}
]
}
'{
"success": true,
"results": [
{
"assignmentId": "<string>",
"lessonId": "<string>",
"resourceId": "<string>"
}
],
"errors": [
{
"row": 123,
"message": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
Array of test assignments to create
1Show child attributes